Error
A valid request URL is required to generate request examples{
"id": "<string>",
"background": true,
"conversation": {},
"created_at": 123,
"error": {
"code": "<string>",
"message": "<string>"
},
"include": [
"<string>"
],
"incomplete_details": {
"reason": "<string>"
},
"instructions": {},
"max_output_tokens": 123,
"max_tool_calls": 123,
"metadata": {},
"model": "<string>",
"output": [
{
"id": "<string>",
"content": "<string>",
"call_id": "<string>",
"name": "<string>",
"arguments": "<string>",
"output": "<string>",
"action": {},
"error": "<string>",
"queries": [
"<string>"
],
"results": [
{}
],
"summary": [
{
"type": "summary_text",
"text": "<string>"
}
],
"encrypted_content": "<string>"
}
],
"parallel_tool_calls": true,
"previous_response_id": "<string>",
"prompt": {},
"prompt_cache_key": "<string>",
"reasoning": {
"generate_summary": "<string>",
"max_tokens": 123
},
"safety_identifier": "<string>",
"service_tier": "<string>",
"stop_reason": "<string>",
"store": true,
"temperature": 123,
"text": {
"format": {
"name": "<string>",
"schema": {},
"strict": true
}
},
"top_logprobs": 123,
"top_p": 123,
"tools": [
{
"name": "<string>",
"description": "<string>",
"cache_control": {
"type": "ephemeral",
"ttl": "<string>"
},
"parameters": {
"type": "<string>",
"description": "<string>",
"required": [
"<string>"
],
"properties": {},
"enum": [
"<string>"
],
"additionalProperties": true
},
"strict": true,
"vector_store_ids": [
"<string>"
],
"filters": {},
"max_num_results": 123,
"ranking_options": {},
"display_height": 123,
"display_width": 123,
"environment": "<string>",
"enable_zoom": true,
"search_context_size": "<string>",
"user_location": {},
"server_label": "<string>",
"server_url": "<string>",
"allowed_tools": {},
"authorization": "<string>",
"connector_id": "<string>",
"headers": {},
"require_approval": {},
"server_description": "<string>",
"container": {},
"background": "<string>",
"input_fidelity": "<string>",
"input_image_mask": {},
"moderation": "<string>",
"output_compression": 123,
"output_format": "<string>",
"partial_images": 123,
"quality": "<string>",
"size": "<string>",
"format": {}
}
],
"truncation": "<string>",
"usage": {
"input_tokens": 123,
"input_tokens_details": {
"text_tokens": 123,
"audio_tokens": 123,
"image_tokens": 123,
"cached_read_tokens": 123,
"cached_write_tokens": 123
},
"output_tokens": 123,
"output_tokens_details": {
"text_tokens": 123,
"accepted_prediction_tokens": 123,
"audio_tokens": 123,
"reasoning_tokens": 123,
"rejected_prediction_tokens": 123,
"citation_tokens": 123,
"num_search_queries": 123
},
"total_tokens": 123,
"cost": {
"input_tokens_cost": 123,
"output_tokens_cost": 123,
"reasoning_tokens_cost": 123,
"citation_tokens_cost": 123,
"search_queries_cost": 123,
"request_cost": 123,
"total_cost": 123
}
},
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
},
"search_results": [
{
"title": "<string>",
"url": "<string>",
"date": "<string>",
"last_updated": "<string>",
"snippet": "<string>",
"source": "<string>"
}
],
"videos": [
{
"url": "<string>",
"thumbnail_url": "<string>",
"thumbnail_width": 123,
"thumbnail_height": 123,
"duration": 123
}
],
"citations": [
"<string>"
]
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}OpenAI Integration
Cancel a response (OpenAI format)
Cancels an in-flight response. Only responses created with background: true
can be cancelled.
Note: This endpoint also works without the /v1 prefix (e.g., /openai/responses/{response_id}/cancel).
POST
/
openai
/
v1
/
responses
/
{response_id}
/
cancel
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"background": true,
"conversation": {},
"created_at": 123,
"error": {
"code": "<string>",
"message": "<string>"
},
"include": [
"<string>"
],
"incomplete_details": {
"reason": "<string>"
},
"instructions": {},
"max_output_tokens": 123,
"max_tool_calls": 123,
"metadata": {},
"model": "<string>",
"output": [
{
"id": "<string>",
"content": "<string>",
"call_id": "<string>",
"name": "<string>",
"arguments": "<string>",
"output": "<string>",
"action": {},
"error": "<string>",
"queries": [
"<string>"
],
"results": [
{}
],
"summary": [
{
"type": "summary_text",
"text": "<string>"
}
],
"encrypted_content": "<string>"
}
],
"parallel_tool_calls": true,
"previous_response_id": "<string>",
"prompt": {},
"prompt_cache_key": "<string>",
"reasoning": {
"generate_summary": "<string>",
"max_tokens": 123
},
"safety_identifier": "<string>",
"service_tier": "<string>",
"stop_reason": "<string>",
"store": true,
"temperature": 123,
"text": {
"format": {
"name": "<string>",
"schema": {},
"strict": true
}
},
"top_logprobs": 123,
"top_p": 123,
"tools": [
{
"name": "<string>",
"description": "<string>",
"cache_control": {
"type": "ephemeral",
"ttl": "<string>"
},
"parameters": {
"type": "<string>",
"description": "<string>",
"required": [
"<string>"
],
"properties": {},
"enum": [
"<string>"
],
"additionalProperties": true
},
"strict": true,
"vector_store_ids": [
"<string>"
],
"filters": {},
"max_num_results": 123,
"ranking_options": {},
"display_height": 123,
"display_width": 123,
"environment": "<string>",
"enable_zoom": true,
"search_context_size": "<string>",
"user_location": {},
"server_label": "<string>",
"server_url": "<string>",
"allowed_tools": {},
"authorization": "<string>",
"connector_id": "<string>",
"headers": {},
"require_approval": {},
"server_description": "<string>",
"container": {},
"background": "<string>",
"input_fidelity": "<string>",
"input_image_mask": {},
"moderation": "<string>",
"output_compression": 123,
"output_format": "<string>",
"partial_images": 123,
"quality": "<string>",
"size": "<string>",
"format": {}
}
],
"truncation": "<string>",
"usage": {
"input_tokens": 123,
"input_tokens_details": {
"text_tokens": 123,
"audio_tokens": 123,
"image_tokens": 123,
"cached_read_tokens": 123,
"cached_write_tokens": 123
},
"output_tokens": 123,
"output_tokens_details": {
"text_tokens": 123,
"accepted_prediction_tokens": 123,
"audio_tokens": 123,
"reasoning_tokens": 123,
"rejected_prediction_tokens": 123,
"citation_tokens": 123,
"num_search_queries": 123
},
"total_tokens": 123,
"cost": {
"input_tokens_cost": 123,
"output_tokens_cost": 123,
"reasoning_tokens_cost": 123,
"citation_tokens_cost": 123,
"search_queries_cost": 123,
"request_cost": 123,
"total_cost": 123
}
},
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
},
"search_results": [
{
"title": "<string>",
"url": "<string>",
"date": "<string>",
"last_updated": "<string>",
"snippet": "<string>",
"source": "<string>"
}
],
"videos": [
{
"url": "<string>",
"thumbnail_url": "<string>",
"thumbnail_width": 123,
"thumbnail_height": 123,
"duration": 123
}
],
"citations": [
"<string>"
]
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}Authorizations
BearerAuthBasicAuthVirtualKeyAuthApiKeyAuth
Bearer token authentication. Use your provider API key or Bifrost authentication token.
Virtual keys (prefixed with sk-bf-) can also be passed here.
Path Parameters
The ID of the response to cancel
Query Parameters
Provider the response was created with (defaults to openai)
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
completed, failed, in_progress, canceled, queued, incomplete Show child attributes
Show child attributes
Available options:
none, auto, required Show child attributes
Show child attributes
Show child attributes
Show child attributes
Additional fields included in responses
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

